Reassign Task
Reassign a task (or every actionable task in its sequence) to another user.
Requires the tasks:write scope on the API key.
curl --request PATCH \
--url https://api.topo.io/v1/tasks/{task_id}/assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "TASK"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', scope: 'TASK'})
};
fetch('https://api.topo.io/v1/tasks/{task_id}/assignee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/tasks/{task_id}/assignee"
payload = {
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "TASK"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "EMAIL_REPLY",
"priority": "HOT",
"status": "PENDING",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "ANSWERED",
"reopened_at": "2023-11-07T05:31:56Z",
"reopen_reason": "REMINDER_RULE",
"skipped_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"due_date": "2023-12-25",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"company_domain": "<string>"
},
"assignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"snoozed_until": "2023-11-07T05:31:56Z"
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the task.
Body
Reassign Task payload
Response
Successful Response
Unique identifier.
Workspace this task belongs to.
What kind of task this is.
EMAIL_REPLY, LINKEDIN_REPLY, NEW_LEAD_REVIEW, CALL, PLAYBOOK_APPROVAL, TODO Task priority bucket.
HOT, TODAY, EXTRA Current lifecycle state.
PENDING, IN_PROGRESS, COMPLETED, SKIPPED Sequence run this task was projected from, if any.
User the task is assigned to, if any.
Outcome for call tasks once executed.
ANSWERED, VOICEMAIL_LEFT, NO_ANSWER, INTERESTED, NOT_INTERESTED, WRONG_NUMBER When the task was last reopened, if ever.
Why the task was reopened, if applicable.
REMINDER_RULE When the task was skipped, if applicable.
When the task was completed, if applicable.
When the task was created.
When the task last changed.
Task title for standalone tasks.
Due date for standalone tasks.
Summary of the contact linked to this task.
Hide child attributes
Hide child attributes
Unique identifier of the contact.
First name.
Last name.
Email.
LinkedIn profile URL.
Job title.
Employer name.
Employer's primary domain.
When the task is snoozed until, if deferred.
Was this page helpful?
curl --request PATCH \
--url https://api.topo.io/v1/tasks/{task_id}/assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "TASK"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', scope: 'TASK'})
};
fetch('https://api.topo.io/v1/tasks/{task_id}/assignee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/tasks/{task_id}/assignee"
payload = {
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "TASK"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "EMAIL_REPLY",
"priority": "HOT",
"status": "PENDING",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "ANSWERED",
"reopened_at": "2023-11-07T05:31:56Z",
"reopen_reason": "REMINDER_RULE",
"skipped_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"due_date": "2023-12-25",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"company_domain": "<string>"
},
"assignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"snoozed_until": "2023-11-07T05:31:56Z"
}